import 'package:flutter/services.dart';

class AppboxoSdk {
  static const MethodChannel _channel = const MethodChannel('appboxo_sdk');

  static void setConfig(String clientId) {
    _channel.invokeMethod("setConfig", {'client_id': clientId});
  }

  static void openMiniApp(String appId, String payload) {
    _channel.invokeMethod("openMiniApp", {'app_id': appId, 'payload': payload});
  }
}
